package app01b;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ViewManager {
  public void execute(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {

    String action = request.getParameter("action");
    // forward to a view
    String dispatchUrl = null;
    if (action.equals("displayAddProductForm")) {
      dispatchUrl = "/jsp/displayAddProductForm.jsp";
    }
    else if (action.equals("saveProduct")) {
      dispatchUrl = "/jsp/displaySavedProduct.jsp";
    }
    if (dispatchUrl != null) {
      RequestDispatcher rd = request.getRequestDispatcher(dispatchUrl);
      rd.forward(request, response);
    }
  }
}
